#ifndef __USART_H__
#define __USART_H__

#include <stm32f10x.h>
#include <stm32f10x_usart.h>

void USARTInit(USART_TypeDef* USARTx, u32 baudRate);
void delayus(u32 count);

void SendMode_485(void) ;
void ReceiveMode_485(USART_TypeDef* USARTx);

void USARTSendString(USART_TypeDef* USARTx, u8 *data, u8 len);
void SendString(u8 out_mode, u8 *data, u8 len);

#endif
